Method: projects.locations.clusters.delete

Deletes a specific Redis cluster. Cluster stops serving and data is deleted.

HTTP request

DELETE https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/clusters/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Redis cluster resource name using the form: projects/{projectId}/locations/{locationId}/clusters/{clusterId} where locationId refers to a Google Cloud region.

Query parameters

Parameters
requestId

string

Optional. Idempotent request UUID.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

For more information, see the Authentication Overview.